﻿//-------------------------------------------------------------

//Lesson 3: L E A R N I N G   A S P . N E T


//                          Ron Kessler
//                         CS 206 Class
//-------------------------------------------------------------

//FEATURES:
//This beauty saves/gets one customer's information from "customers.txt" using streamreader/writer classes
//It shows how to get the default directory
//How to create a new test file in the application path
//How to close the browser using javascript
//Use the hyperlink control

//updated 2/22/09 for VS2008


using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.Web.UI;
using System.Web.UI.WebControls;
using System.IO;         //add this for streamreader

public partial class _Default : System.Web.UI.Page 
{

    //---find the root path of the website and the customer file
   string FileName = System.Web.Hosting.HostingEnvironment.MapPath("~" + "/asp-customers.txt");
  
   #region Page Load"
   protected void Page_Load(object sender, EventArgs e)
    {
        //---this is a cool way to add a message box type function to a button on the web page.
        if (! IsPostBack)
            this.btnDone.Attributes.Add("onclick", "return confirm('Are you sure you want to quit?');");
        
    }
    #endregion

    #region "Create New File"

    private void CreateFile()
    {

        
        //---called from the btnSave_Click handler
        StreamWriter myWriter = File.CreateText(FileName);
        myWriter.Close();
    }

    #endregion

    #region "Get Customer"

    protected void btnGet_Click(object sender, EventArgs e)
    {
        try
        {
            using (StreamReader myReader = new StreamReader(FileName)) 
            
            {
                txtLast.Text = myReader.ReadLine();
                txtFirst.Text = myReader.ReadLine();
                myReader.Close();
            }
        }
        catch
        {
            lblError.Text = "I can't read the data file.";
            lblError.Visible = true;
        }
    
    }
#endregion

    #region "Save Customer"
    protected void btnSave_Click(object sender, EventArgs e)
    {
         //---save/get one customers data
        try
        {
            if (!File.Exists(FileName))
                CreateFile();
            

            using (StreamWriter myWriter = new StreamWriter(FileName))
            {
                myWriter.WriteLine(txtLast.Text);
                myWriter.WriteLine(txtFirst.Text);
                myWriter.Close();
            }
        }
            
        catch
        {
            lblError.Visible = true;
            lblError.Text = "I could not save your data";
        }
        
    }

    #endregion

    #region "Purchase"
    protected void btnBuy_Click(object sender, EventArgs e)
    {
        if (!File.Exists(System.Web.Hosting.HostingEnvironment.MapPath("~" + "/Cart.aspx")))
           {
               lblError.Text = "I can't find the Cart.aspx page.";
                lblError.Visible = true;
           }
        else
           {
            //---navigate to the purchase page
            Response.Redirect("cart.aspx");
           }
        
    }

    #endregion

    #region "Clear Items"
    protected void btnClear_Click(object sender, EventArgs e)
    {
        lblError.Visible = false;
        txtFirst.Text = "";
        txtLast.Text = "";
    }
    #endregion

    #region "Done"
    protected void btnDone_Click(object sender, EventArgs e)
    {
        //---close the browser
        Response.Write("<script language='javascript'> { window.close();}</script>");
    }

    #endregion

    #region "Link to Web"
    protected void LinkButton1_Click(object sender, EventArgs e)
    {
        Response.Redirect("http://www.7-eleven.com/");
    }

    #endregion
}
